# ExecutionProviderOption | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface ExecutionProviderOption

#### Hierarchy

- ExecutionProviderOption
  - CpuExecutionProviderOption
  - CudaExecutionProviderOption
  - WebAssemblyExecutionProviderOption
  - WebGLExecutionProviderOption
  - XnnpackExecutionProviderOption

- Defined in inference-session.ts:174

#####
Index

### Properties

name

## Properties

### `Readonly` name

name: string

- Defined in inference-session.ts:175

Generated using TypeDoc